#include <iostream>
using namespace std;
main(){
	int n,a[1000],b[1000];
	cin>>n;
	for(int i=0;i<n;i++)cin>>a[i];
	for(int i=0;i<n;i++)cin>>b[i];
	int i=0,j=0,maxa=0,maxb=0,max=0;
	for(i=0;i<n-1;i++){
		for(j=i+1;j<n;j++){
			if(j==i+1){
				max=a[i]^a[j]*b[i]&b[j];
				maxa=a[i]^a[j];
				maxb=b[i]&b[j];
			}
			else if(max<(maxa^a[j]*maxb&b[j])){
					max=maxa^a[j]*maxb&b[j];
					maxa=maxa^a[j];
					maxb=maxb&b[j];
			}
		}
	}
	cout<<max;
}